CVE: CVE-2012-2117

The Gigya - Social optimization module provides a single API that aggregates authentication and social APIs from Facebook Connect, MySpace ID, Twitter, and OpenID webmail providers including Google, Yahoo, and AOL.

The module doesn't sufficiently escape URL elements which are printed back to the user.

Versions affected

Drupal core is not affected. If you do not use the contributed Gigya - Social optimization module, there is nothing you need to do.


Install the latest version:

  • If you use the Gigya module for Drupal 6.x, upgrade to Gigya 6.x-3.2

Also see the Gigya - Social optimization project page.

Reported by

Fixed by

Coordinated by

Contact and More Information

The Drupal security team can be reached at security at or via the contact form at

Learn more about the Drupal Security team and their policies, writing secure code for Drupal, and securing your site.